package com.ho.filecenter.service;

import com.ho.common.tools.entity.SimpleUser;
import com.ho.common.tools.util.PageResult;
import com.ho.filecenter.entity.Otaupgrad;
import com.ho.filecenter.vo.OtaFileVO;
import com.ho.filecenter.vo.ScheduleReqVo;
import com.ho.filecenter.vo.UpdateRecords;
import org.springframework.web.multipart.MultipartFile;

import java.text.ParseException;
import java.util.List;

/**
 * @author gyan
 * @desc: ota业务层
 * @DateTime: 2023/8/2 10:32
 */
public interface OtaupgradService {


    PageResult<Otaupgrad> page(OtaFileVO vo);

    List<UpdateRecords> selectHisFile(OtaFileVO vo);

    void upgradation(MultipartFile file, OtaFileVO vo, SimpleUser user) throws ParseException;

    void tage(MultipartFile file,OtaFileVO vo) throws Exception;

    List<ScheduleReqVo> getUpgradeProgress(OtaFileVO vo);
}
